org.apache.maven.scm.provider.tfs.command

## Class TfsTagCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.tag.AbstractTagCommand
    - - org.apache.maven.scm.provider.tfs.command.TfsTagCommand

All Implemented Interfaces:
  Command

    public class TfsTagCommand
    extends AbstractTagCommand

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`TfsTagCommand()`

### Method Summary

Methods
`TfsCommand` `createCommand(ScmProviderRepository r, ScmFileSet f, String tag, ScmTagParameters scmTagParameters)`
`protected ScmResult` `executeTagCommand(ScmProviderRepository r, ScmFileSet f, String tag, ScmTagParameters scmTagParameters)`
`protected ScmResult` `executeTagCommand(ScmProviderRepository r, ScmFileSet f, String tag, String message)`

### Methods inherited from class org.apache.maven.scm.command.tag.AbstractTagCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TfsTagCommand

    public TfsTagCommand()

### Method Detail

#### executeTagCommand

    protected ScmResult executeTagCommand(ScmProviderRepository r,
                              ScmFileSet f,
                              String tag,
                              String message)
                                   throws ScmException

Overrides:
  `executeTagCommand` in class `AbstractTagCommand`
Returns:
Throws:
  `ScmException`

#### executeTagCommand

    protected ScmResult executeTagCommand(ScmProviderRepository r,
                              ScmFileSet f,
                              String tag,
                              ScmTagParameters scmTagParameters)
                                   throws ScmException

Specified by:
  `executeTagCommand` in class `AbstractTagCommand`
Throws:
  `ScmException`

#### createCommand

    public TfsCommand createCommand(ScmProviderRepository r,
                           ScmFileSet f,
                           String tag,
                           ScmTagParameters scmTagParameters)